Bug 115593 - [IEE1394]Kernel oops when starting firewire
[IEE1394]Kernel oops when starting firewire
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-13 13:26 EST by Daniel Walsh
Modified: 2014-01-21 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-07 12:26:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2004-02-13 13:26:50 EST
Oops when starting firewire

Kernel version 2.6.2-1.74

ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00061b001004db15]
Badness in kobject_get at lib/kobject.c:431
Call Trace:
 [<c01f58ed>] kobject_get+0x4d/0x50
 [<c025214e>] get_device+0xe/0x20
 [<c0252d58>] bus_for_each_dev+0x78/0xd0
 [<e0a19c32>] nodemgr_node_probe+0x42/0x100 [ieee1394]
 [<e0a19af0>] nodemgr_probe_ne_cb+0x0/0x90 [ieee1394]
 [<e0a1a00f>] nodemgr_host_thread+0x13f/0x170 [ieee1394]
 [<e0a19ed0>] nodemgr_host_thread+0x0/0x170 [ieee1394]
 [<c0109295>] kernel_thread_helper+0x5/0x10

Unable to handle kernel paging request at virtual address 8930ec83
 printing eip:
8930ec83
*pde = 00000000
Oops: 0000 [#1]
CPU:    0
EIP:    0060:[<8930ec83>]    Not tainted
EFLAGS: 00010282
EIP is at 0x8930ec83
eax: e0a4975c   ebx: e0a4975c   ecx: e0a49738   edx: 8930ec83
esi: e0a19520   edi: 00000000   ebp: e0a18320   esp: de63ff50
ds: 007b   es: 007b   ss: 0068
Process knodemgrd_0 (pid: 956, threadinfo=de63e000 task=de643680)
Stack: c01f5984 e0a49738 e0a49740 e0a49680 d0c27b04 c0252d6d e0a496cc
00000000 
       de63ffa4 d0c27afc de63ffa4 d6ec8e38 d07e0000 e0a19c32 e0a19af0
0000ffff 
       de63ffbc 00000004 d07e0000 00000000 00000001 d6ec8e38 d0c27ac0
f0000234 
Call Trace:
 [<c01f5984>] kobject_cleanup+0x94/0xa0
 [<c0252d6d>] bus_for_each_dev+0x8d/0xd0
 [<e0a19c32>] nodemgr_node_probe+0x42/0x100 [ieee1394]
 [<e0a19af0>] nodemgr_probe_ne_cb+0x0/0x90 [ieee1394]
 [<e0a1a00f>] nodemgr_host_thread+0x13f/0x170 [ieee1394]
 [<e0a19ed0>] nodemgr_host_thread+0x0/0x170 [ieee1394]
 [<c0109295>] kernel_thread_helper+0x5/0x10

Code:  Bad EIP value.
 <4>
avc:  denied  { getattr } for  pid=980 exe=/bin/bash path=/sbin/ip
dev=hda9 ino=131165 scontext=system_u:system_r:kernel_t
tcontext=system_u:object_r:ifconfig_exec_t tclass=file

avc:  denied  { execute } for  pid=980 exe=/bin/bash name=ip dev=hda9
ino=131165 scontext=system_u:system_r:kernel_t
tcontext=system_u:object_r:ifconfig_exec_t tclass=file

avc:  denied  { execute_no_trans } for  pid=980 exe=/bin/bash
path=/sbin/ip dev=hda9 ino=131165 scontext=system_u:system_r:kernel_t
tcontext=system_u:object_r:ifconfig_exec_t tclass=file

avc:  denied  { read } for  pid=980 exe=/bin/bash path=/sbin/ip
dev=hda9 ino=131165 scontext=system_u:system_r:kernel_t
tcontext=system_u:object_r:ifconfig_exec_t tclass=file
Intel(R) PRO/100 Network Driver - version 2.3.36-k1
Copyright (c) 2003 Intel Corporation

divert: allocating divert_blk for eth0
e100: selftest OK.
e100: eth0: Intel(R) PRO/100 Network Connection
  Hardware receive checksums enabled



Expected results:


Additional info:
Comment 1 John Franks 2004-02-13 23:43:32 EST
I am seeing exactly the same thing on my Sony Vaio running FC2 test 1
with the 2.6.2 kernel.  The problem does not occur with the 2.6.1
kernel.  I'm happy to provide more info if it would be useful.
Comment 2 Seth Vidal 2004-05-07 12:26:22 EDT
firewire disabled in current kernels - so this is unlikely to occur again.

Note You need to log in before you can comment on or make changes to this bug.